Subject: [Simple] draft-xml-patch and predictible behavior in front of errors

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 6 Feb 2006 23:28:07 +0100

AFAIK, it is not specified what to do if one patch raises an error
while the previous patches in a <diff> were OK. I suggest to add to
section 5 "Error Handling" something like:

The patches in a <diff> element are all applied with success or none is
applied. An implementation MUST NOT produce a XML document which
results from a partial application of the patches.

An implementation MAY continue the patching after an error (to produce
diagnostics, for instance), but, since the selectors are applied to
the XML document already patched, these diagnostics are of doubtful
value.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple